org.eclipse.ui.texteditor

## Interface IDocumentProviderExtension2

All Known Implementing Classes:
  AbstractDocumentProvider, FileDocumentProvider, ForwardingDocumentProvider, StorageDocumentProvider, TextFileDocumentProvider, TextFileDocumentProvider.NullProvider

    public interface IDocumentProviderExtension2

Extension interface for `IDocumentProvider`. It adds the following functions:

- global temporary progress monitor

Since:
  2.1

### Method Summary

All Methods Instance Methods Abstract Methods
`IProgressMonitor` `getProgressMonitor()` Returns this providers progress monitor.
`void` `setProgressMonitor(IProgressMonitor progressMonitor)` Sets this providers progress monitor.

### Method Detail

#### setProgressMonitor

    void setProgressMonitor(IProgressMonitor progressMonitor)

Sets this providers progress monitor.

Parameters:
  `progressMonitor` - the progress monitor

#### getProgressMonitor

    IProgressMonitor getProgressMonitor()

Returns this providers progress monitor.

Returns:
  IProgressMonitor